SYNOPSIS
        int remove(void)

DESCRIPTION
        remove() does some housekeeping to ensure consistency and then
        destructs the current object.

        This lfun is not applied by the parser, but by other objects
        to tell the current object to self-destruct. remove() should
        be supplied by the base classes of the library.  Return 1 if
        actually self-destructed, 0 otherwise.

        An alternative way to ensure the housekeeping on destruction
        is through the use of the master apply prepare_destruct().

NOTE
        Your actual mudlib may name this lfun differently, "remove()" is
        just the traditional name.

SEE ALSO
        destruct(E), prepare_destruct(M)
